import { $postParam, $post } from "@/plugins/axios";

// mark-entrance
export const markTaskListPage = (datas) => {
  return $postParam("/api/admin/mark/entrance/list", datas);
};

// mark-setting
export const markSettingListPage = (datas) => {
  return $postParam("/api/admin/mark/setting/list", datas);
};
export const markSettingDetail = (datas) => {
  return $postParam("/api/admin/mark/setting/paper/get", datas);
};
export const markSettingSave = (datas) => {
  return $post("/api/admin/mark/setting/paper/save", datas);
};
// mark-params
// structure
export const markStructureList = (datas) => {
  return $postParam("/api/admin/mark/question/list", datas);
};
export const markStructureSave = (datas) => {
  return $post("/api/admin/mark/question/save", datas);
};
// group
export const markGroupList = (datas) => {
  return $postParam("/api/admin/mark/group/list", datas);
};
export const markGroupItemSave = (datas) => {
  return $post("/api/admin/mark/group/save", datas);
};
export const markGroupItemUpdate = (datas) => {
  return $post("/api/admin/mark/group/update", datas);
};
export const markGroupAreaSave = (datas) => {
  return $post("/api/admin/mark/group/update_picture_config", datas);
};
export const markGroupItemDelete = (datas) => {
  return $postParam("/api/admin/mark/group/delete", datas);
};
// class
export const markClassStatusUpdate = (datas) => {
  return $postParam(
    "/api/admin/mark/group/update_open_mark_class_status",
    datas
  );
};
export const markClassList = (datas) => {
  return $postParam("/api/admin/mark/class/list", datas);
};
export const markClassSave = (datas) => {
  return $post("/api/admin/mark/class/save", datas);
};
// objective question answer
export const markObjectiveQuestionList = (datas) => {
  return $postParam("/api/admin/mark/question/objective/list", datas);
};
export const markObjectiveQuestionSave = (datas) => {
  return $post("/api/admin/mark/question/objective/save", datas);
};
// subjective question answer
export const markSubjectiveQuestionList = (datas) => {
  return $postParam("/api/admin/mark/question/subjective/get", datas);
};
export const markSubjectiveQuestionUpload = (datas) => {
  return $post("/api/admin/mark/question/subjective/upload", datas);
};
